Subject: [pkix] RFC5019 and caching of unknown responses

From: Tomas Gustavsson <[email-masked]>
Date: Mon, 16 Dec 2013 09:41:19 +0100

CABForum has brought up caching of Unknown responses in their discussions.

https://cabforum.org/pipermail/public/2013-October/002279.html

RFC5019 however states that:

-----
    OCSP responders MUST NOT include a "Pragma: no-cache", "Cache-
    Control: no-cache", or "Cache-Control: no-store" header in
    authoritative OCSP responses.
-----

So we will most likely see non-conformance to RFC5019 in the wild.

What is the view of IEFT? Ok to break conformance? Will RFC5019 be updated?

Cheers,
Tomas
-- 
**********
PrimeKey Solutions AB
Anderstorpsvägen 16, 171 54 Solna, Sweden
Mob: +46 (0)707421096
Internet: www.primekey.se
Twitter: twitter.com/primekeyPKI
**********

---

From: Ryan Hurst <[email-masked]>
Date: Mon, 16 Dec 2013 00:47:19 -0800

This was done to offer minimal protection of responders but it's a pretty weak protection given attackers do not follow the rules.

Given the changes in the deployment practices as an author of this document I see no reason to not allow no-cache for unknown responses.

Ryan Hurst
Chief Technology Officer
GMO Globalsign

twitter: @rmhrisk
email: [email-masked]

Sent from my phone, please forgive the brevity.

> On Dec 16, 2013, at 12:41 AM, Tomas Gustavsson <[email-masked]> wrote:
> 
> 
> _______________________________________________
> pkix mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pkix

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 16 Dec 2013 10:32:46 +0000

That seems like a good topic for the wpkops WG [1]

S.

[1] https://tools.ietf.org/wg/wpkops/charters

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 16 Dec 2013 08:00:08 -0800

> That seems like a good topic for the wpkops WG [1]

Is it? There is a proposal to change a standards-track document. That's certainly not in the WPKOPS charter. Instead, shouldn't this be an individual submission draft that is sponsored by a Security AD?

--Paul Hoffman

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 16 Dec 2013 16:03:50 +0000

On 12/16/2013 04:00 PM, Paul Hoffman wrote:
> Is it? There is a proposal to change a standards-track document.
> That's certainly not in the WPKOPS charter. Instead, shouldn't this
> be an individual submission draft that is sponsored by a Security
> AD?

Ah sorry I thought it was a query about whether or not folks
were likely to diverge from the RFC. If there's an I-D that's
different of course. If folks are thinking about writing an
I-D then wpkops might still be a good place to start if they
want to see who else is or is not diverging from an RFC.

S.

---

From: Tomas Gustavsson <[email-masked]>
Date: Wed, 18 Dec 2013 09:04:29 +0100

Now that RFC6960 has updated the OCSP spec, it might be a good idea to look at RFC5019 as well. Hoping that CABForum will pick up the ball to write an I-D, I'm just an implementor :-). 

Cheers, 
Tomas

---

From: [email-masked]
Date: Wed, 18 Dec 2013 09:18:41 +0100

Tomas,

The RFC 6960 has not been implemented yet in CABF, it´s still under discussions.

Iñigo Barreira
Responsable del Área técnica
[email-masked]

945067705

De: pkix [mailto:[email-masked]] En nombre de Tomas Gustavsson
Enviado el: miércoles, 18 de diciembre de 2013 9:04
Para: Stephen Farrell; Paul Hoffman
CC: [email-masked] PKIX
Asunto: Re: [pkix] RFC5019 and caching of unknown responses

Cheers, 
Tomas 

On 12/16/2013 04:00 PM, Paul Hoffman wrote:
 On Dec 16, 2013, at 2:32 AM, Stephen Farrell
 <[email-masked]> wrote:

I-D then wpkops might still be a good place to!
  start
if they

S.

 --Paul Hoffman

---

From: Denis <[email-masked]>
Date: Wed, 18 Dec 2013 12:17:48 +0100

Iñigo,

It is very wise for the CAB Forum to stick to the current text of the 
"CA/Browser Forum Baseline Requirements
for the Issuance and Management of Publicly-Trusted Certificates, 
v.1.1.5" and NOT to move to RFC 6960,
since the text on page 23, section 13.2.6 is different and much much 
better that the text from RFC 6960.

The text from the CAB Forum is copied hereafter:

13.2.6  Response for non issued certificates

If the OCSP responder receives a request  for status of a certificate 
that has not been issued,
then the responder SHOULD NOT respond with a "good" status.

The CA SHOULD monitor the responder for such requests as part of its 
security response procedures.
Effective 1 August 2013, OCSP responders MUST NOT respond with a "good" 
status for such certificates.

Denis

> **
> *Iñigo Barreira*
> [email-masked] <mailto:[email-masked]>
>
> 945067705
>
> *Descripción: Descripción: Descripción: firma_izenpe_navid-OK-2*
>
> *De:*pkix [mailto:[email-masked]] *En nombre de *Tomas Gustavsson
> *Enviado el:* miércoles, 18 de diciembre de 2013 9:04
> *Para:* Stephen Farrell; Paul Hoffman
> *CC:* [email-masked] PKIX
> *Asunto:* Re: [pkix] RFC5019 and caching of unknown responses
>
> Now that RFC6960 has updated the OCSP spec, it might be a good idea to 
> look at RFC5019 as well. Hoping that CABForum will pick up the ball to 
> write an I-D, I'm just an implementor :-).
>
> Cheers,
> Tomas
>
> Stephen Farrell <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>   <[email-masked]  <mailto:[email-masked]>> wrote:
>   
> Internet: www.primekey.se <http://www.primekey.se>
> Twitter: twitter.com/primekeyPKI <http://twitter.com/primekeyPKI>
> Mob: +46 (0)707421096
>
>
>

---

From: [email-masked]
Date: Wed, 18 Dec 2013 13:19:23 +0100

Yes, as said, there are some discussions with the current text in the RFC regarding the response for non issued certificates that the one stated in the CABF docs and the RFC is not mentioned

Iñigo Barreira

945067705

De: Denis [mailto:[email-masked]] 
Enviado el: miércoles, 18 de diciembre de 2013 12:18
Para: Barreira Iglesias, Iñigo; [email-masked]; [email-masked]; [email-masked]
CC: [email-masked]
Asunto: Re: [pkix] RFC5019 and caching of unknown responses

Iñigo,

It is very wise for the CAB Forum to stick to the current text of the "CA/Browser Forum Baseline Requirements 
for the Issuance and Management of Publicly-Trusted Certificates, v.1.1.5" and NOT to move to RFC 6960, 
since the text on page 23, section 13.2.6 is different and much much better that the text from RFC 6960.

If the OCSP responder receives a request  for status of a certificate that has not been issued, 
then the responder SHOULD NOT respond with a "good" status. 

The CA SHOULD monitor the responder for such requests as part of its security response procedures. 
Effective 1 August 2013, OCSP responders MUST NOT respond with a "good" status for such certificates.

Denis

	Tomas,

	 

	Iñigo Barreira

	945067705

	
	Cheers, 
	Tomas 

	 

	 
	 
	S.

	 --Paul Hoffman

---

From: Tomas Gustavsson <[email-masked]>
Date: Thu, 19 Dec 2013 10:18:12 +0100

Interesting. I think I had gotten it all wrong with RFC6960. I though 
that RFC6960 came largely out of CABForum discussions, but it seems I 
was wrong?

- The only major change in RFC6960 is actually "extended revoked" 
(answering revoked to unknown certificates).
- This was not requested by CABForum
- This was not requested by me ;-)
- Who requested it? And why was the RFC updated again?

We have implemented extended revoke in EJBCA, but it seems that perhaps 
nobody actually will use it? (didn't take too long, and is of course a 
non-default option, but added complexity is added complexity)

Cheers,
Tomas

On 12/18/2013 01:19 PM, [email-masked] wrote:
> Yes, as said, there are some discussions with the current text in the
> RFC regarding the response for non issued certificates that the one
> stated in the CABF docs and the RFC is not mentioned
>
> **
>
> *Iñigo Barreira*
> *De:*Denis [mailto:[email-masked]]
> *Enviado el:* miércoles, 18 de diciembre de 2013 12:18
> *Para:* Barreira Iglesias, Iñigo; [email-masked];
> [email-masked]; [email-masked]
> *CC:* [email-masked]
>     *CC:* [email-masked] <mailto:[email-masked]> PKIX
>     Now that RFC6960 has updated the OCSP spec, it might be a good idea
>     to look at RFC5019 as well. Hoping that CABForum will pick up the
>     ball to write an I-D, I'm just an implementor :-).
>
>     Cheers,
>     Tomas
>
>     [email-masked]  <mailto:[email-masked]>
>

---

From: [email-masked]
Date: Thu, 19 Dec 2013 10:26:32 +0100

Well, in fact, the CABF "requested" a clarification but the final result didn´t like it at all, or liked only partially :-)

OTOH, our PKI software provider updated their products to adapt them to the new RFC and we now comply with this "requirement". And yes, added some complexity for them and for us as a CA.

Iñigo Barreira

-----Mensaje original-----
De: Tomas Gustavsson [mailto:[email-masked]] 
Enviado el: jueves, 19 de diciembre de 2013 10:18
Para: Barreira Iglesias, Iñigo; [email-masked]; [email-masked]; [email-masked]
CC: [email-masked]
Asunto: Re: [pkix] RFC5019 and caching of unknown responses

Interesting. I think I had gotten it all wrong with RFC6960. I though that RFC6960 came largely out of CABForum discussions, but it seems I was wrong?

We have implemented extended revoke in EJBCA, but it seems that perhaps nobody actually will use it? (didn't take too long, and is of course a non-default option, but added complexity is added complexity)

Cheers,
Tomas

On 12/18/2013 01:19 PM, [email-masked] wrote:
> *De:*Denis [mailto:[email-masked]] *Enviado el:* miércoles, 18 de 
> diciembre de 2013 12:18
> "CA/Browser Forum Baseline Requirements for the Issuance and 
> Management of Publicly-Trusted Certificates, v.1.1.5" and NOT to move 
> to RFC 6960, since the text on page 23, section 13.2.6 is different 
> and much much better that the text from RFC 6960.
>
> that has not been issued, then the responder SHOULD NOT respond with a 
> "good" status.
>